{# -*- mode: jinja-html -*- #}
{% extends "sco_page.html" %}
{% block styles %}
{{super()}}
{% endblock %}

{% block app_content %}
<h2>Référentiel de compétences {{ref.type_titre}} {{ref.specialite_long}}</h2>


<ref-competences></ref-competences>

<script src="/ScoDoc/static/js/ref_competences.js"></script>

<div class="help">
    Référentiel chargé le {{ref.scodoc_date_loaded.strftime("%d/%m/%Y à %H:%M") if ref.scodoc_date_loaded else ""}} à
    partir du fichier <tt>{{ref.scodoc_orig_filename or "(inconnu)"}}</tt>.
</div>


<div class="part2">
    <a class="stdlink" href="{{url_for('notes.refcomp_table', scodoc_dept=g.scodoc_dept)}}">liste des référentiels</a>
</div>

{% endblock %}

{% block scripts %}
{{super()}}

<script>
    $(function () {
        let data_url = "{{data_source}}";
        $.getJSON(data_url, function (data) {
            document.querySelector("ref-competences").setData = data;
        });
    });
</script>

{% endblock %}